diff --git a/AUTHORS b/AUTHORS
index 7122d5d..bd87de8 100644
--- a/AUTHORS
+++ b/AUTHORS
@@ -5,7 +5,7 @@ Fabian Arrotin <arrfab@centos.org>
 Athmane Madjoudj <athmanem@gmail.com>
 Steve Barnes <steve@echo.id.au>
 Johnny Hughes <johnny@centos.org>
-Christoph Galuschka <christoph.galuschka@chello.at>
+Christoph Galuschka <tigalch@tigalch.org>
 Dan Trainor <dan.trainor@gmail.com>
 Nikhil Lanjewar <nikhil@lanjewar.com>
 Sahil Muthoo <sahilm@thoughtworks.com>
diff --git a/tests/p_autofs/0-install_autofs.sh b/tests/p_autofs/0-install_autofs.sh
new file mode 100755
index 0000000..5b9f34e
--- /dev/null
+++ b/tests/p_autofs/0-install_autofs.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+# Author: Christoph Galuschka <tigalch@tigalch.org>
+
+t_Log "Running $0 - Installing required packages"
+t_InstallPackage autofs nfs-utils rpcbind
+
+t_Log "Preparing NFS-Share and starting NFS-Server"
+cat '/var/lib/ 127.0.0.1(ro)' > /etc/exports
+t_ServiceControl rpcbind restart
+t_ServiceControl nfs restart
+
+t_Log "verify if NFs is mountable"
+mount -t nfs 127.0.0.1:/var/lib /mnt
+ls -al /mnt | grep -q yum
+
+t_CheckExitStatus $?
+umount /mnt
diff --git a/tests/p_autofs/10-autofs-nfs-mount.sh b/tests/p_autofs/10-autofs-nfs-mount.sh
new file mode 100755
index 0000000..5f93fc9
--- /dev/null
+++ b/tests/p_autofs/10-autofs-nfs-mount.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+# Author: Christoph Galuschka <tigalch@tigalch.org>
+
+t_Log "Running $0 - autofs can mount nfs share test."
+
+t_Log 'Preparing autofs configuration'
+cp -a /etc/auto.master /etc/auto.master_orig
+cat '/autofs /etc/auto.autofs' >> /etc/auto.master
+cat 'nfs -fstype=nfs 127.0.0.1:/var/lib' > /etc/auto.autofs
+
+t_ServiceControl autofs start
+
+t_Log 'Running test'
+
+grep yum /autofs/nfs/
+#t_CheckExitStatus $ret_val